Package weka.gui

# Class SaveBuffer

java.lang.Object
weka.gui.SaveBuffer

public class SaveBuffer extends Object
This class handles the saving of StringBuffers to files. It will pop up a file chooser allowing the user to select a destination file. If the file exists, the user is prompted for the correct course of action, ie. overwriting, appending, selecting a new filename or canceling.

Version:
  $Revision 1.0 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)

## Constructor Summary

Constructors
Constructor
Description
`SaveBuffer(Logger log, Component parent)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Main method for testing this class
`boolean`
`save(StringBuffer buf)`
Save a buffer

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SaveBuffer

public SaveBuffer(Logger log, Component parent)
Constructor

Parameters:
  `log` - the logger to send messages to
  `parent` - the parent component will be requesting a save

## Method Details

### save

public boolean save(StringBuffer buf)
Save a buffer

Parameters:
  `buf` - the buffer to save
Returns:
  true if the save is completed succesfully

### main

public static void main(String[] args)
Main method for testing this class